Steerd API
Assignments

Create an assignment

POST
/api/public/v1/assignments
AuthorizationBearer <token>

In: header

Header Parameters

idempotency-key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v1/assignments" \  -H "Content-Type: application/json" \  -d '{    "employee_id": "df4fd699-0854-488d-9cc2-15e751a80ee3",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9"  }'
{  "bill_rate": 0,  "created_at": "string",  "employee": {    "avatar_url": "string",    "bill_rate": 0,    "bio": "string",    "cost_rate": 0,    "created_at": "string",    "currency": "string",    "email": "string",    "first_name": "string",    "id": "string",    "is_active": true,    "last_name": "string",    "phone": "string",    "rate_type": "hourly",    "skills": [      "string"    ],    "title": "string",    "updated_at": "string"  },  "employee_id": "string",  "end_date": "string",  "id": "string",  "project_id": "string",  "role": "string",  "start_date": "string",  "updated_at": "string"}
{  "error": {    "code": "string",    "message": "string"  }}